// SPDX-License-Identifier: GPL-2.0
// Copyright (C) 2021 Jakub Horak
#include <avr/pgmspace.h>
#include "defs.h"

const byte ssd1306_init_seq[] PROGMEM = {
  0xae,               /* display off, sleep mode */
  0xd5, 0x80,         /* clock divide ratio (0x0=1) and oscillator frequency (0x8) */
  0xa8, 0x3f,         /* */

  0xd3, 0x00,         /*  */

  0x40,               /* start line */

  0x8d, 0x14,         /* [2] charge pump setting (p62): 0x14 enable, 0x10 disable */

  0x20, 0x00,         /* */
  0xa1,               /* segment remap a0/a1*/
  0xc8,               /* c0: scan dir normal, c8: reverse */
  0xda, 0x12,         /* com pin HW config, sequential com pin config (bit 4), disable left/right remap (bit 5)  */
  0x81, 0xcf,         /* [2] set contrast control */
  0xd9, 0xf1,         /* [2] pre-charge period 0x22/f1*/
  0xdb, 0x40,         /* vcomh deselect level */

  0x2e,               /* 2012-05-27: Deactivate scroll */
  0xa4,               /* output ram to display */
  0xa6,               /* none inverted normal display mode */
  0xaf,               /* display on */
  0xff,               /* escape: sequence end */
};


const byte ssd1306_page_start[] PROGMEM = {
  0xb0, /* page 0 */
  0x00, /* set column high nibble */
  0x10, /* set column low nibble */
  0xff, /* escape: sequence end */
};
